/*
 * Copyright (c) 2015 Ziver
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package wa.server.plugin.tomcat;

import wa.server.plugin.apache.ApacheConfigVirtualHost.ApacheVirtualHostEntry;

import java.io.PrintStream;


public class TomcatConfigApplication {



	public static class TomcatApplicationEntry extends ApacheVirtualHostEntry {
		@Override
		public void writeConfiguration(PrintStream out) {
			out.println("<VirtualHost *:80>");
			out.println("	ServerName " + domain + ":80");
			out.println("	");
			out.println("	RewriteEngine   On");
			out.println("	RewriteRule     ^/$     /" + path + "    [R]");
			out.println("	ProxyPreserveHost on");
			out.println("	<Proxy *>");
			out.println("		Order deny,allow");
			out.println("		Allow from all");
			out.println("	</Proxy>");
			out.println("	ProxyPass        /  ajp://localhost:8009/");
			out.println("	ProxyPassReverse /  http://localhost:8080/");
			out.println("</VirtualHost>");
			out.println("");
		}
	}
}
